Subject: Re: [NET_SCHED 00/04]: External SFQ classifiers/flow classifier

From: Patrick McHardy <[email-masked]>
Date: Fri, 04 Apr 2008 12:45:44 +0200

Andy Furniss wrote:
> Andy Furniss wrote:
> 
>> OK - FWIW I've been looking harder and have now seen the full range of 
>> +/- 32k so I assume it's just not getting initialised properly.
> 
> Hmm I am not so sure now maybe it's a stats thing - I have seen flows 
> apparently stuck with -ve allot but behaving normally.
> 
> I notice allot is short (16bits?) in sfq but see
> 
> +struct tc_sfq_xstats
> +{
> +    __s32        allot;
> +};

That doesn't matter, its promoted to a 32 bit value. But now
that you mention it, the SFQ patch for iproute I submitted
used a different type. Stephen has resynced it with the kernel
in the mean time, but you might be using the broken version.